import  java.util.function.Function;
class Fac2 {

  Integer mul(Integer x, Integer y) {
  	return x;
   }

 Function<Integer,Integer> m () {
   Function<Integer,Integer> fact = (Integer x) -> {
        return mul(x, x);
   };
   return fact;
  }
}
